Subject: RE: RFC: per-socket statistics on received/dropped packets

From: Yan-Fa Li <[email-masked]>
Date: Wed, 12 Jun 2002 13:30:32 -0700

Does this do what is needed ?  I've used it and it does have an impact on
stack performance while the application is running, but it tells you about
retransmits and what not, and does not seem to affect  performance much
until you actually want to inspect the values.  I agree with DaveM that it
should not go into the mainline kernel unless you can turn it off with a
sysctl, but it is useful for debugging and network health monitoring.

Y

http://heron.ucsd.edu/tcphealth/